<?php

namespace Drupal\mymodule\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class AjaxForm extends FormBase {
  public function getFormId() {
    return 'mymodule_ajax_form';
  }

  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['name'] = array(
      '#type' => 'textfield',
      '#title' => 'Name',
      '#required' => TRUE
    );

    $form['email'] = array(
      '#type' => 'email',
      '#title' => 'Email',
      '#required' => TRUE
    );

    $form['url'] = array(
      '#type' => 'textfield',
      '#title' => 'URL',
      '#required' => TRUE
    );

    $form['submit'] = array(
      '#type' => 'submit',
      '#value' => 'Import'
    );
    return $form;
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {

  }
}
